/// <reference types="node" />
export declare const GENERATE: string[][];
export declare function generateSwagger({ apiSchemaPath, name, namespace, ...optional }: {
    [x: string]: any;
    apiSchemaPath?: string | undefined;
    name: any;
    namespace?: string | undefined;
}, outFolder: string): Promise<void>;
export declare function generatePackageJson({ npmScope, reactNativeVersion, apiVersion, apiDescription, apiAuthor, apiLicense, bridgeVersion, packageName, ...conf }: {
    npmScope?: string;
    reactNativeVersion?: string;
    apiVersion?: string;
    apiDescription?: string;
    apiAuthor?: string;
    apiLicense?: string;
    bridgeVersion?: string;
    packageName: string;
    config?: any;
}): string;
export declare function generateInitialSchema({ apiSchemaPath, }: {
    apiSchemaPath: string;
}): Promise<Buffer>;
export declare function generateGitignore(): string;
export default function generateProject(config: any, outFolder: string): Promise<void>;
