"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileRule = void 0;
const Rule_1 = require("./Rule");
const FileSystems_1 = __importDefault(require("../../java/FileSystems"));
class FileRule extends Rule_1.Rule {
    constructor(syntax, definition) {
        super(syntax, definition);
        this.matcher = FileSystems_1.default.getDefault().getPathMatcher('glob:' + this.getPattern());
    }
    matches(relativePath) {
        return this.matcher.matches(relativePath);
    }
}
exports.FileRule = FileRule;
//# sourceMappingURL=FileRule.js.map