import { Rule } from './Rule';
/**
 * A special case rule which matches files only if they're located
 * in the same directory as the .swagger-codegen-ignore file.
 */
export declare class RootedFileRule extends Rule {
    definedFilename: any;
    definedExtension: any;
    constructor(syntax: any, definition: any);
    getFilenamePart(input: any, stopIndex: any): any;
    getExtensionPart(input: any, stopIndex: any): any;
    matches(relativePath: any): boolean;
}
