import _Android from './languages/ErnAndroidApiCodegen';
import _Swift from './languages/SwiftCodegen';
import _ES6 from './languages/ES6Codegen';
import _DefaultGenerator from './DefaultGenerator';
import _DefaultCodegen from './DefaultCodegen';
import _SupportingFile from './SupportingFile';
import _CliOption from './CliOption';
import _ClientOptInput from './ClientOptInput';
import _ClientOpts from './ClientOpts';
import _CodegenConfigurator from './config/CodegenConfigurator';
import _ApiGenUtils from './ApiGenUtils';
export declare const Android: typeof _Android;
export declare const Swift: typeof _Swift;
export declare const ES6: typeof _ES6;
export declare const DefaultGenerator: typeof _DefaultGenerator;
export declare const DefaultCodegen: typeof _DefaultCodegen;
export declare const SupportingFile: typeof _SupportingFile;
export declare const CliOption: typeof _CliOption;
export declare const Swagger: any;
export declare const ClientOptInput: typeof _ClientOptInput;
export declare const ClientOpts: typeof _ClientOpts;
export declare const CodegenConfigurator: typeof _CodegenConfigurator;
export declare const ApiGen: {
    cleanGenerated: typeof import("./apigen").cleanGenerated;
    generateApi: typeof import("./apigen").generateApi;
    regenerateCode: typeof import("./apigen").regenerateCode;
};
export declare const ApiGenUtils: typeof _ApiGenUtils;
declare const _default: {
    Android: typeof _Android;
    ES6: typeof _ES6;
    Swift: typeof _Swift;
};
export default _default;
