"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const File_1 = __importDefault(require("./File"));
exports.default = {
    copy(src, out) {
        const fsrc = new File_1.default(src);
        const fout = new File_1.default(out);
        fout.getParentFile().mkdirs();
        ern_core_1.shell.cp('-f', fsrc.getPath(), fout.getPath());
    },
};
//# sourceMappingURL=IOUtils.js.map