import DefaultCodegen from '../DefaultCodegen';
export default class AndroidClientCodegen extends DefaultCodegen {
    static readonly USE_ANDROID_MAVEN_GRADLE_PLUGIN = "useAndroidMavenGradlePlugin";
    invokerPackage: string;
    groupId: string;
    artifactId: string;
    artifactVersion: string;
    projectFolder: string;
    useAndroidMavenGradlePlugin: boolean;
    requestPackage: string;
    authPackage: string;
    gradleWrapperPackage: string;
    apiDocPath: string;
    modelDocPath: string;
    __outputFolder: string;
    __languageSpecificPrimitives: import("../java/FakeHashSet").FakeHashSet;
    __apiPackage: string;
    __modelPackage: string;
    __embeddedTemplateDir: string;
    __templateDir: string;
    __supportedLibraries: import("../java/fakeMap").FakeHashMap;
    sourceFolder: any;
    constructor();
    initalizeCliOptions(): void;
    getTag(): import("../CodegenType").CodegenType;
    getName(): string;
    getHelp(): string;
    escapeReservedWord(name: any): string;
    apiFileFolder(): string;
    modelFileFolder(): string;
    apiDocFileFolder(): string;
    modelDocFileFolder(): string;
    toApiDocFilename(name: any): string;
    toModelDocFilename(name: any): any;
    getTypeDeclaration(p: any): any;
    getSwaggerType(p: any): any;
    toVarName(name: any): any;
    toParamName(name: any): any;
    toModelName(name: any): any;
    toModelFilename(name: any): any;
    setParameterExampleValue(p: any): void;
    toOperationId(operationId: any): any;
    processOpts(): void;
    addSupportingForFilesHttpclient(): void;
    addSupportingFilesForHttpClient(): void;
    addSupportingFilesForVolley(): void;
    getUseAndroidMavenGradlePlugin(): boolean;
    setUseAndroidMavenGradlePlugin(useAndroidMavenGradlePlugin: any): void;
    setInvokerPackage(invokerPackage: any): void;
    setGroupId(groupId: any): void;
    setArtifactId(artifactId: any): void;
    setArtifactVersion(artifactVersion: any): void;
    setSourceFolder(sourceFolder: any): void;
    escapeQuotationMark(input: any): any;
    escapeUnsafeCharacters(input: any): any;
}
