"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const javaUtil_1 = require("../java/javaUtil");
class AbstractModel {
    constructor() {
        this.vendorExtensions = (0, javaUtil_1.newHashMap)();
    }
    getExternalDocs() {
        return this.externalDocs;
    }
    setExternalDocs(value) {
        this.externalDocs = value;
    }
    getTitle() {
        return this.title;
    }
    setTitle(title) {
        this.title = title;
    }
    getVendorExtensions() {
        return this.vendorExtensions;
    }
    setVendorExtension(name, value) {
        if (typeof name === 'string' && name.startsWith('x-')) {
            this.vendorExtensions.put(name, value);
        }
    }
    setVendorExtensions(vendorExtensions) {
        this.vendorExtensions = vendorExtensions;
    }
    getReference() {
        return this.reference;
    }
    setReference(reference) {
        this.reference = reference;
    }
}
exports.default = AbstractModel;
//# sourceMappingURL=AbstractModel.js.map