"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* tslint:disable:variable-name */
const AbstractSecuritySchemeDefinition_1 = __importDefault(require("./AbstractSecuritySchemeDefinition"));
const In_1 = __importDefault(require("./In"));
class ApiKeyAuthDefinition extends AbstractSecuritySchemeDefinition_1.default {
    constructor() {
        super(...arguments);
        this.type = ApiKeyAuthDefinition.TYPE;
    }
    name(name) {
        this.setName(name);
        return this;
    }
    in(__in) {
        this.setIn(__in);
        return this;
    }
    getName() {
        return this.__name;
    }
    setName(name) {
        this.__name = name;
    }
    getIn() {
        return this.__in;
    }
    setIn(__in) {
        this.__in = (0, In_1.default)(__in);
    }
    toJSON() {
        return {
            in: this.__in + '',
            name: this.__name,
            type: this.type,
        };
    }
}
exports.default = ApiKeyAuthDefinition;
ApiKeyAuthDefinition.TYPE = 'apiKey';
//# sourceMappingURL=ApiKeyAuthDefinition.js.map