"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CookieParameter = void 0;
const SerializableParameter_1 = require("./SerializableParameter");
class CookieParameter extends SerializableParameter_1.SerializableParameter {
    copy() {
        const res = new CookieParameter();
        res.required = this.required;
        res.vendorExtensions = this.vendorExtensions;
        res.uniqueItems = this.uniqueItems;
        res.exclusiveMinimum = this.exclusiveMinimum;
        res.exclusiveMaximum = this.exclusiveMaximum;
        res.format = this.format;
        res.in = this.in;
        res.readOnly = this.readOnly;
        res.defaultValue = this.defaultValue;
        return res;
    }
}
exports.CookieParameter = CookieParameter;
CookieParameter.TYPE = 'cookie';
//# sourceMappingURL=CookieParameter.js.map