"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderParameter = void 0;
const SerializableParameter_1 = require("./SerializableParameter");
class HeaderParameter extends SerializableParameter_1.SerializableParameter {
    copy() {
        const res = new HeaderParameter();
        res.required = this.required;
        res.vendorExtensions = this.vendorExtensions;
        res.uniqueItems = this.uniqueItems;
        res.exclusiveMinimum = this.exclusiveMinimum;
        res.exclusiveMaximum = this.exclusiveMaximum;
        res.format = this.format;
        res.in = this.in;
        res.readOnly = this.readOnly;
        res.defaultValue = this.defaultValue;
        return res;
    }
}
exports.HeaderParameter = HeaderParameter;
HeaderParameter.TYPE = 'header';
//# sourceMappingURL=HeaderParameter.js.map