"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryParameter = void 0;
const SerializableParameter_1 = require("./SerializableParameter");
class QueryParameter extends SerializableParameter_1.SerializableParameter {
    getDefaultCollectionFormat() {
        return 'multi';
    }
    copy() {
        const res = new QueryParameter();
        res.required = this.required;
        res.vendorExtensions = this.vendorExtensions;
        res.uniqueItems = this.uniqueItems;
        res.exclusiveMinimum = this.exclusiveMinimum;
        res.exclusiveMaximum = this.exclusiveMaximum;
        res.format = this.format;
        res.in = this.in;
        res.readOnly = this.readOnly;
        res.defaultValue = this.defaultValue;
        res.required = this.required;
        return res;
    }
}
exports.QueryParameter = QueryParameter;
QueryParameter.TYPE = 'query';
//# sourceMappingURL=QueryParameter.js.map