"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const javaUtil_1 = require("./java/javaUtil");
const StringBuilder_1 = __importDefault(require("./java/StringBuilder"));
class ClientOpts {
    constructor() {
        this.properties = (0, javaUtil_1.newHashMap)();
    }
    getUri() {
        return this.uri;
    }
    setUri(uri) {
        this.uri = uri;
    }
    getTarget() {
        return this.target;
    }
    setTarget(target) {
        this.target = target;
    }
    getProperties() {
        return this.properties;
    }
    setProperties(properties) {
        this.properties = properties;
    }
    getOutputDirectory() {
        return this.outputDirectory;
    }
    setOutputDirectory(outputDirectory) {
        this.outputDirectory = outputDirectory;
    }
    toString() {
        const sb = (0, StringBuilder_1.default)();
        sb.append('ClientOpts: {\n');
        sb.append('  uri: ').append(this.uri).append(',');
        sb.append('  auth: ').append(this.auth).append(',');
        sb.append(this.properties);
        sb.append('}');
        return sb.toString();
    }
}
exports.default = ClientOpts;
//# sourceMappingURL=ClientOpts.js.map