"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const javaUtil_1 = require("./java/javaUtil");
class CodegenModel {
    constructor() {
        this.vars = [];
        this.requiredVars = [];
        this.optionalVars = [];
        this.readOnlyVars = [];
        this.readWriteVars = [];
        this.parentVars = [];
        this.mandatory = (0, javaUtil_1.newHashSet)();
        this.imports = (0, javaUtil_1.newHashSet)();
        this.hasOnlyReadOnly = true;
        this.allVars = this.vars;
        this.allMandatory = this.mandatory;
    }
    toString() {
        return `${this.name}(${this.classname})`;
    }
}
exports.default = CodegenModel;
//# sourceMappingURL=CodegenModel.js.map