export default class CodegenModelFactory {
    static typeMapping: import("./java/fakeMap").FakeHashMap;
    /**
     * Configure a different implementation class.
     *
     * @param type           the type that shall be replaced
     * @param implementation the implementation class must extend the default class and must provide a public no-arg constructor
     */
    static setTypeMapping(type: any, implementation: any): void;
    static newInstance(type: any): any;
}
