"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const StringBuilder_1 = __importDefault(require("./java/StringBuilder"));
class SupportingFile {
    constructor(templateFile, folder, destinationFilename) {
        if (arguments.length === 2) {
            destinationFilename = folder;
            folder = '';
        }
        this.templateFile = templateFile;
        this.folder = folder;
        this.destinationFilename = destinationFilename;
    }
    toString() {
        const builder = (0, StringBuilder_1.default)('SupportingFile:\n');
        builder.append('\ttemplateFile: ').append(this.templateFile).append('\n');
        builder.append('\tfolder: ').append(this.folder).append('\n');
        builder
            .append('\tdestinationFilename: ')
            .append(this.destinationFilename)
            .append('\n');
        return builder.toString();
    }
}
exports.default = SupportingFile;
//# sourceMappingURL=SupportingFile.js.map