/**
 * ==============================================================================
 * Main entry point
 * ==============================================================================
 *
 * Refer to normalizeConfig function doc for the list of options
 */
export declare function generateApi(options: any): Promise<void>;
/**
 * @param options
 * @returns {Promise.<void>}
 */
export declare function regenerateCode(options?: any): Promise<void>;
export declare function cleanGenerated(outFolder?: string): Promise<any>;
declare const _default: {
    cleanGenerated: typeof cleanGenerated;
    generateApi: typeof generateApi;
    regenerateCode: typeof regenerateCode;
};
export default _default;
