"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ServiceLoader_1 = __importDefault(require("../java/ServiceLoader"));
const cli_1 = require("../java/cli");
class Langs {
    static configs() {
        return ServiceLoader_1.default.load('io.swagger.codegen.CodegenConfig');
    }
    static langs() {
        return Langs.configs().map((v) => v.getName());
    }
    run() {
        return 'Available languages: ' + Langs.langs();
    }
}
exports.default = Langs;
Langs.Usage = new cli_1.Command({ name: 'langs', description: 'Shows available langs' }, [{ name: ['-h', '--help'], title: 'help', description: 'verbose mode' }]);
//# sourceMappingURL=Langs.js.map