"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EverythingRule = void 0;
const Rule_1 = require("./Rule");
/**
 * An ignore rule which matches everything.
 */
class EverythingRule extends Rule_1.Rule {
    constructor(syntax, definition) {
        super(syntax, definition);
    }
    matches(relativePath) {
        return true;
    }
    getExcludeOperation() {
        return Rule_1.Rule.Operation.EXCLUDE_AND_TERMINATE;
    }
}
exports.EverythingRule = EverythingRule;
//# sourceMappingURL=EverythingRule.js.map