"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidRule = void 0;
const Rule_1 = require("./Rule");
class InvalidRule extends Rule_1.Rule {
    constructor(syntax, definition, reason) {
        super(syntax, definition);
        this.reason = reason;
    }
    matches(relativePath) {
        return false;
    }
    evaluate(relativePath) {
        return Rule_1.Rule.Operation.NOOP;
    }
    getReason() {
        return this.reason;
    }
}
exports.InvalidRule = InvalidRule;
//# sourceMappingURL=InvalidRule.js.map