/**
 * Takes a prototype and a list of property names and creates getters and
 * setters.
 *
 * @param prototype
 * @param p
 * @returns {*}
 */
export declare const beanify: (prototype: any, p: any, prefix?: string) => any;
/**
 * Apply however, it only sets a value that has a property or a setter to invoke.
 * @param bean
 * @param obj
 */
export declare const applyStrict: (bean: any, obj: any) => any;
export declare const canResolveNoFunc: (obj: any, prop: any) => boolean;
export declare const apply: (bean: any, obj: any, properties?: any, strict?: boolean) => any;
export declare const has: (obj: any, ...properties: any[]) => boolean;
declare const _default: {
    beanify: (prototype: any, p: any, prefix?: string) => any;
    apply: (bean: any, obj: any, properties?: any, strict?: boolean) => any;
    has: (obj: any, ...properties: any[]) => boolean;
};
export default _default;
