"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractSecuritySchemeDefinition_1 = __importDefault(require("./AbstractSecuritySchemeDefinition"));
class BasicAuthDefinition extends AbstractSecuritySchemeDefinition_1.default {
    constructor() {
        super(...arguments);
        this.type = BasicAuthDefinition.TYPE;
    }
    toJSON() {
        return Object.assign(super.toJSON(), { type: this.type });
    }
}
exports.default = BasicAuthDefinition;
BasicAuthDefinition.TYPE = 'basic';
//# sourceMappingURL=BasicAuthDefinition.js.map