import AbstractSecuritySchemeDefinition from './AbstractSecuritySchemeDefinition';
export default class OAuth2Definition extends AbstractSecuritySchemeDefinition {
    static TYPE: string;
    type: string;
    authorizationUrl: any;
    tokenUrl: any;
    flow: any;
    scopes: any;
    implicit(authorizationUrl: any): this;
    password(tokenUrl: any): this;
    application(tokenUrl: any): this;
    accessCode(authorizationUrl: any, tokenUrl: any): this;
    scope(name: any, description: any): this;
    getAuthorizationUrl(): any;
    setAuthorizationUrl(authorizationUrl: any): void;
    getTokenUrl(): any;
    setTokenUrl(tokenUrl: any): void;
    getFlow(): any;
    setFlow(flow: any): void;
    getScopes(): any;
    setScopes(scopes: any): void;
    addScope(name: any, description: any): void;
    toJSON(): {
        description: any;
        vendorExtensions: import("../../java/fakeMap").FakeHashMap;
    } & {
        authorizationUrl: any;
        flow: any;
        scopes: any;
        tokenUrl: any;
        type: string;
    };
}
