"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathParameter = void 0;
const SerializableParameter_1 = require("./SerializableParameter");
class PathParameter extends SerializableParameter_1.SerializableParameter {
    constructor() {
        super(...arguments);
        this.required = true;
    }
    copy() {
        const res = new PathParameter();
        res.required = this.required;
        res.vendorExtensions = this.vendorExtensions;
        res.uniqueItems = this.uniqueItems;
        res.exclusiveMinimum = this.exclusiveMinimum;
        res.exclusiveMaximum = this.exclusiveMaximum;
        res.format = this.format;
        res.in = this.in;
        res.readOnly = this.readOnly;
        res.defaultValue = this.defaultValue;
        res.required = this.required;
        return res;
    }
}
exports.PathParameter = PathParameter;
PathParameter.TYPE = 'path';
//# sourceMappingURL=PathParameter.js.map