"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerializableParameter = void 0;
const Parameter_1 = require("./Parameter");
class SerializableParameter extends Parameter_1.Parameter {
    copy() {
        const res = new SerializableParameter();
        res.required = this.required;
        res.vendorExtensions = this.vendorExtensions;
        res.uniqueItems = this.uniqueItems;
        res.exclusiveMinimum = this.exclusiveMinimum;
        res.exclusiveMaximum = this.exclusiveMaximum;
        res.format = this.format;
        res.in = this.in;
        res.readOnly = this.readOnly;
        res.defaultValue = this.defaultValue;
        return res;
    }
}
exports.SerializableParameter = SerializableParameter;
//# sourceMappingURL=SerializableParameter.js.map